<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@60009A7=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="The winning hand cheat must be activated when there are 14 tiles in your"/>
  <cheat desc="hand, then press the RON key (default is 'Left Alt' key then 2nd choice)"/>
  <cheat desc="or you discard a tile. The tiles do not visually change until you make a"/>
  <cheat desc="move."/>
  <cheat desc=" "/>

  <cheat desc="Get winning hand Now!">
    <script state="on">
      <action>maincpu.pq@6001C68=0301030103010302</action>
      <action>maincpu.pq@6001C70=0302030203030303</action>
      <action>maincpu.pq@6001C78=0303030403040304</action>
      <action>maincpu.pd@6001C60=03050305</action>
    </script>
  </cheat>

  <cheat desc="Always winning hand">
    <script state="run">
      <action>maincpu.pq@6001C68=0301030103010302</action>
      <action>maincpu.pq@6001C70=0302030203030303</action>
      <action>maincpu.pq@6001C78=0303030403040304</action>
      <action>maincpu.pd@6001C60=03050305</action>
    </script>
  </cheat>

  <cheat desc="Watch ALL 14 tiles - Player">
    <script state="run">
      <output format="%04X %04X %04X %04X %04X %04X %04X %04X %04X %04X\n%04X %04X %04X %04X">
        <argument count="14">maincpu.pw@(6001C68 + 0x02*argindex)</argument>
      </output>
    </script>
  </cheat>

  <cheat desc="Watch ALL 14 tiles - C.P.U.">
    <script state="run">
      <output format="%04X %04X %04X %04X %04X %04X %04X %04X %04X %04X\n%04X %04X %04X %04X">
        <argument count="14">maincpu.pw@(6001C4A + 0x02*argindex)</argument>
      </output>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Here is the look-up list for the above watches."/>
  <cheat desc="value         common name    chinese"/>
  <cheat desc="0001h-0009h   1-9 'chars'    1-9 'wan'"/>
  <cheat desc="0101h-0109h   1-9 'dots'     1-9 'tung'"/>
  <cheat desc="0201h-0209h   1-9 'bamboo'   1-9 'tiao'"/>
  <cheat desc="0301h-0304h   East,South,West+North 'wind'"/>
  <cheat desc="0305h-0307h   White,Green+Red 'dragon'"/>
  <cheat desc="FFFFh         - no tile -"/>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
